com.threerings.stats.data

## Class MaxValueIntStat

- java.lang.Object
- - com.threerings.stats.data.Stat
  - - com.threerings.stats.data.IntStat
    - - com.threerings.stats.data.MaxValueIntStat

All Implemented Interfaces:
  com.threerings.io.Streamable, com.threerings.presents.dobj.DSet.Entry, Cloneable

    public class MaxValueIntStat
    extends IntStat

Extends the `IntStat` by maintaining the maximum value that the stat has ever been assigned (unlike `MaxIntStat`, which tracks the maximum value that the stat has ever been incremented by).

### Nested Class Summary

### Nested classes/interfaces inherited from class com.threerings.stats.data.Stat

`Stat.AuxDataSource, Stat.Type`

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Constructor Summary

Constructors
Constructor and Description
`MaxValueIntStat()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getMaxValue()` Returns the maximum value that this integer statistic has ever been assigned.
`void` `persistTo(com.threerings.io.ObjectOutputStream out, Stat.AuxDataSource aux)` Serializes this instance for storage in the item database.
`boolean` `setValue(int value)` Sets this statistic's value to the specified value.
`void` `unpersistFrom(com.threerings.io.ObjectInputStream in, Stat.AuxDataSource aux)` Unserializes this item from data obtained from the item database.
`String` `valueToString()` Derived statistics must override this method and render their value to a string.

### Methods inherited from class com.threerings.stats.data.IntStat

`getValue, increment`

### Methods inherited from class com.threerings.stats.data.Stat

`clone, crc32, getCode, getKey, getModCount, getType, getType, initType, isModified, setModCount, setModified, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MaxValueIntStat

    public MaxValueIntStat()

### Method Detail

#### getMaxValue

    public int getMaxValue()

Returns the maximum value that this integer statistic has ever been assigned.

#### setValue

    public boolean setValue(int value)

Description copied from class: `IntStat`
Sets this statistic's value to the specified value.

Overrides:
  `setValue` in class `IntStat`
Returns:
  true if the stat was modified, false if not.

#### valueToString

    public String valueToString()

Description copied from class: `Stat`
Derived statistics must override this method and render their value to a string. Used by `Stat.toString()` and to display the value in game.

Overrides:
  `valueToString` in class `IntStat`

#### persistTo

    public void persistTo(com.threerings.io.ObjectOutputStream out,
                          Stat.AuxDataSource aux)
                   throws IOException

Description copied from class: `Stat`
Serializes this instance for storage in the item database. Derived classes must override this method to implement persistence.

Overrides:
  `persistTo` in class `IntStat`
Throws:
  `IOException`

#### unpersistFrom

    public void unpersistFrom(com.threerings.io.ObjectInputStream in,
                              Stat.AuxDataSource aux)
                       throws IOException,
                              ClassNotFoundException

Description copied from class: `Stat`
Unserializes this item from data obtained from the item database. Derived classes must override this method to implement persistence.

Overrides:
  `unpersistFrom` in class `IntStat`
Throws:
  `IOException`
  `ClassNotFoundException`